# https://networkupstools.org/docs/man/upsmon.conf.html

RUN_AS_USER {{ nut.monitor.user }}

DEADTIME 30
FINALDELAY 5
HOSTSYNC 30
MINSUPPLIES 1
NOCOMMWARNTIME 300
POLLFREQ 10
POLLFREQALERT 5
POWERDOWNFLAG /etc/nut/killpower
RBWARNTIME 86400
SHUTDOWNCMD "/sbin/shutdown -p now"

MONITOR {{ nut.ups.name }}@{{ nut.server.address }}:{{ nut.server.port }} 1 {{ nut.server.user }} {{ nut.server.password }} master

NOTIFYCMD "/usr/local/bin/upssched-cmd"
NOTIFYFLAG FSD SYSLOG+WALL+EXEC
NOTIFYFLAG LOWBATT SYSLOG+WALL+EXEC
NOTIFYFLAG NOCOMM SYSLOG+WALL+EXEC
NOTIFYFLAG ONBATT SYSLOG+WALL+EXEC
NOTIFYFLAG ONLINE SYSLOG+WALL+EXEC
NOTIFYFLAG REPLBATT SYSLOG+WALL+EXEC
NOTIFYFLAG SHUTDOWN SYSLOG+WALL+EXEC
